| Python Script Engine 8.3 GL Studio Editor Python Script API

Private Member Functions | List of all members
Effect_DiffNormSpecRefl Class Reference
Inheritance diagram for Effect_DiffNormSpecRefl:

## Private Member Functions
| Effect_DiffNormSpecRefl ()
| Effect_DiffNormSpecRefl (Effect_DiffNormSpecRefl &src)
| Effect_DiffNormSpecRefl (disti::Effect_DiffNormSpecRefl *effectDNSR, bool incEditorRef)
void | SetMaterialIndex (unsigned int materialIndex)
unsigned int | GetMaterialIndex ()
void | SetUseVertexColor (bool value)
bool | GetUseVertexColor ()
void | SetDiffuseTextureIndex (int textureIndex)
int | GetDiffuseTextureIndex ()
void | SetNormalTextureIndex (int textureIndex)
int | GetNormalTextureIndex ()
void | SetSpecularTextureIndex (int textureIndex)
int | GetSpecularTextureIndex ()
void | SetReflectionTextureIndex (int textureIndex)
int | GetReflectionTextureIndex ()
void | SetDiffuseAmount (float value)
float | GetDiffuseAmount ()
void | SetNormalAmount (float value)
float | GetNormalAmount ()
void | SetSpecularAmount (float value)
float | GetSpecularAmount ()
void | SetReflectionAmount (float value)
float | GetReflectionAmount ()
void | SetNormalMapFlipGreen (bool value)
bool | GetNormalMapFlipGreen ()
void | SetDiffuseUVWSettings (float uOffset, float vOffset, float uTiling, float vTiling, float angle)
void | GetDiffuseUVWSettings (float &uOffset, float &vOffset, float &uTiling, float &vTiling, float &angle)
void | SetNormalUVWSettings (float uOffset, float vOffset, float uTiling, float vTiling, float angle)
void | GetNormalUVWSettings (float &uOffset, float &vOffset, float &uTiling, float &vTiling, float &angle)
void | SetSpecularUVWSettings (float uOffset, float vOffset, float uTiling, float vTiling, float angle)
void | GetSpecularUVWSettings (float &uOffset, float &vOffset, float &uTiling, float &vTiling, float &angle)
void | SelectShader ()
void | TextureUVWSettingsChanged ()
bool | UsesTextureTransforms ()
virtual int | GetVertexAttribIndexForSemantic (int semanticEnum)
virtual void | AddRef ()
virtual void | Release ()
virtual unsigned int | GlsRenderEffect_ClassID ()
virtual void | SetupEffect (MaterialArray &materialPalette, TexturePalette *texturePalette, TextureSettings &textureSettings, float *viewToWorld3x3, unsigned int maxLightNum, unsigned int activeLightMask)
virtual void | CleanupEffect ()
virtual int | Compare (GlsRenderEffect *)
virtual GlsRenderEffect * | Clone ()

## Additional Inherited Members
Public Types inherited from VertexAttribIndexLookup
enum | AttributeSemanticEnum { ATTRIB_UNDEFINED = 0 , ATTRIB_POSITION = 0x80000000 , ATTRIB_NORMAL , ATTRIB_BLENDWEIGHT , ATTRIB_TANGENT , ATTRIB_BINORMAL , ATTRIB_BLENDINDICES , ATTRIB_PSIZE , ATTRIB_TEXCOORD0 , ATTRIB_TEXCOORD1 , ATTRIB_TEXCOORD2 , ATTRIB_TEXCOORD3 , ATTRIB_TEXCOORD4 , ATTRIB_TEXCOORD5 , ATTRIB_TEXCOORD6 , ATTRIB_TEXCOORD7 }
Public Member Functions inherited from GlsRenderEffect
| GlsRenderEffect (GlsRenderEffect &src)
| GlsRenderEffect (disti::GlsRenderEffect *renderEffect, bool incEditorRef)
virtual void | AddRef ()
virtual void | Release ()
virtual unsigned int | GlsRenderEffect_ClassID ()
virtual void | SetupEffect (MaterialArray &materialPalette, TexturePalette *texturePalette, TextureSettings &textureSettings, float *viewToWorld3x3, unsigned int maxLightNum, unsigned int activeLightMask)
virtual void | CleanupEffect ()
virtual int | Compare (GlsRenderEffect *other)
virtual bool | Equals (GlsRenderEffect *other)
virtual GlsRenderEffect * | Clone ()=0
int | GetVertexAttribIndexForSemantic (int semanticEnum)
int | GetVertexAttribIndexForSemantic (int semanticEnum)=0
Static Public Member Functions inherited from GlsRenderEffect
static unsigned int | SetDebugMode (String modeName, bool value)
static unsigned int | RegisterNewClassID (String debugStr=String())

## Constructor & Destructor Documentation

## ◆ Effect_DiffNormSpecRefl() [1/3]

Effect_DiffNormSpecRefl::Effect_DiffNormSpecRefl | ( |  | ) |
| private

Constructor.

## ◆ Effect_DiffNormSpecRefl() [2/3]

Effect_DiffNormSpecRefl::Effect_DiffNormSpecRefl | ( | Effect_DiffNormSpecRefl & | src | ) |
| private

## ◆ Effect_DiffNormSpecRefl() [3/3]

Effect_DiffNormSpecRefl::Effect_DiffNormSpecRefl | ( | disti::Effect_DiffNormSpecRefl * | effectDNSR,
|  | bool | incEditorRef
| ) |  |
| private

Constructor.

Parameters

  effectDNSR | Effect_DiffNormSpecRefl to wrap
  incEditorRef | true if to increment editor ref on with wrapped group (i.e. if this pointer came from the editor) else false

## Member Function Documentation

## ◆ AddRef()

virtual void Effect_DiffNormSpecRefl::AddRef | ( |  | ) |
| private virtual

Manage references to the effect.

Reimplemented from GlsRenderEffect.

## ◆ CleanupEffect()

virtual void Effect_DiffNormSpecRefl::CleanupEffect | ( |  | ) |
| private virtual

Remove the effect trom the OpenGL state.

Reimplemented from GlsRenderEffect.

## ◆ Clone()

virtual GlsRenderEffect * Effect_DiffNormSpecRefl::Clone | ( |  | ) |
| private virtual

Returns a new instance of the effect with the same settings as this one.

Implements GlsRenderEffect.

## ◆ Compare()

virtual int Effect_DiffNormSpecRefl::Compare | ( | GlsRenderEffect * | other | ) |
| private virtual

Returns 0 if the effects are equal, a positive number if this effect should sort after the other effect, and a negative number if this effect should sort before the other effect.

The rendering system uses this to sort effects.

Reimplemented from GlsRenderEffect.

## ◆ GetDiffuseAmount()

float Effect_DiffNormSpecRefl::GetDiffuseAmount | ( |  | ) |
| private

## ◆ GetDiffuseTextureIndex()

int Effect_DiffNormSpecRefl::GetDiffuseTextureIndex | ( |  | ) |
| private

## ◆ GetDiffuseUVWSettings()

void Effect_DiffNormSpecRefl::GetDiffuseUVWSettings | ( | float & | uOffset,
|  | float & | vOffset,
|  | float & | uTiling,
|  | float & | vTiling,
|  | float & | angle
| ) |  |
| private

## ◆ GetMaterialIndex()

unsigned int Effect_DiffNormSpecRefl::GetMaterialIndex | ( |  | ) |
| private

## ◆ GetNormalAmount()

float Effect_DiffNormSpecRefl::GetNormalAmount | ( |  | ) |
| private

## ◆ GetNormalMapFlipGreen()

bool Effect_DiffNormSpecRefl::GetNormalMapFlipGreen | ( |  | ) |
| private

## ◆ GetNormalTextureIndex()

int Effect_DiffNormSpecRefl::GetNormalTextureIndex | ( |  | ) |
| private

## ◆ GetNormalUVWSettings()

void Effect_DiffNormSpecRefl::GetNormalUVWSettings | ( | float & | uOffset,
|  | float & | vOffset,
|  | float & | uTiling,
|  | float & | vTiling,
|  | float & | angle
| ) |  |
| private

## ◆ GetReflectionAmount()

float Effect_DiffNormSpecRefl::GetReflectionAmount | ( |  | ) |
| private

## ◆ GetReflectionTextureIndex()

int Effect_DiffNormSpecRefl::GetReflectionTextureIndex | ( |  | ) |
| private

## ◆ GetSpecularAmount()

float Effect_DiffNormSpecRefl::GetSpecularAmount | ( |  | ) |
| private

## ◆ GetSpecularTextureIndex()

int Effect_DiffNormSpecRefl::GetSpecularTextureIndex | ( |  | ) |
| private

## ◆ GetSpecularUVWSettings()

void Effect_DiffNormSpecRefl::GetSpecularUVWSettings | ( | float & | uOffset,
|  | float & | vOffset,
|  | float & | uTiling,
|  | float & | vTiling,
|  | float & | angle
| ) |  |
| private

## ◆ GetUseVertexColor()

bool Effect_DiffNormSpecRefl::GetUseVertexColor | ( |  | ) |
| private

## ◆ GetVertexAttribIndexForSemantic()

virtual int Effect_DiffNormSpecRefl::GetVertexAttribIndexForSemantic | ( | int | semanticEnum | ) |
| private virtual

Returns
  The attributeIndex that should be used to pass the vertex attributes or -1 if they are not needed (see glVertexAttrib)

Parameters

  semanticEnum | The sematic value (see AttributeSemanticEnum)

Implements VertexAttribIndexLookup.

## ◆ GlsRenderEffect_ClassID()

virtual unsigned int Effect_DiffNormSpecRefl::GlsRenderEffect_ClassID | ( |  | ) |
| private virtual

Reimplemented from GlsRenderEffect.

## ◆ Release()

virtual void Effect_DiffNormSpecRefl::Release | ( |  | ) |
| private virtual

Reimplemented from GlsRenderEffect.

## ◆ SelectShader()

void Effect_DiffNormSpecRefl::SelectShader | ( |  | ) |
| private

## ◆ SetDiffuseAmount()

void Effect_DiffNormSpecRefl::SetDiffuseAmount | ( | float | value | ) |
| private

## ◆ SetDiffuseTextureIndex()

void Effect_DiffNormSpecRefl::SetDiffuseTextureIndex | ( | int | textureIndex | ) |
| private

## ◆ SetDiffuseUVWSettings()

void Effect_DiffNormSpecRefl::SetDiffuseUVWSettings | ( | float | uOffset,
|  | float | vOffset,
|  | float | uTiling,
|  | float | vTiling,
|  | float | angle
| ) |  |
| private

## ◆ SetMaterialIndex()

void Effect_DiffNormSpecRefl::SetMaterialIndex | ( | unsigned int | materialIndex | ) |
| private

## ◆ SetNormalAmount()

void Effect_DiffNormSpecRefl::SetNormalAmount | ( | float | value | ) |
| private

## ◆ SetNormalMapFlipGreen()

void Effect_DiffNormSpecRefl::SetNormalMapFlipGreen | ( | bool | value | ) |
| private

## ◆ SetNormalTextureIndex()

void Effect_DiffNormSpecRefl::SetNormalTextureIndex | ( | int | textureIndex | ) |
| private

## ◆ SetNormalUVWSettings()

void Effect_DiffNormSpecRefl::SetNormalUVWSettings | ( | float | uOffset,
|  | float | vOffset,
|  | float | uTiling,
|  | float | vTiling,
|  | float | angle
| ) |  |
| private

## ◆ SetReflectionAmount()

void Effect_DiffNormSpecRefl::SetReflectionAmount | ( | float | value | ) |
| private

## ◆ SetReflectionTextureIndex()

void Effect_DiffNormSpecRefl::SetReflectionTextureIndex | ( | int | textureIndex | ) |
| private

## ◆ SetSpecularAmount()

void Effect_DiffNormSpecRefl::SetSpecularAmount | ( | float | value | ) |
| private

## ◆ SetSpecularTextureIndex()

void Effect_DiffNormSpecRefl::SetSpecularTextureIndex | ( | int | textureIndex | ) |
| private

## ◆ SetSpecularUVWSettings()

void Effect_DiffNormSpecRefl::SetSpecularUVWSettings | ( | float | uOffset,
|  | float | vOffset,
|  | float | uTiling,
|  | float | vTiling,
|  | float | angle
| ) |  |
| private

## ◆ SetupEffect()

virtual void Effect_DiffNormSpecRefl::SetupEffect | ( | MaterialArray & | materialPalette,
|  | TexturePalette * | texturePalette,
|  | TextureSettings & | textureSettings,
|  | float * | viewToWorld3x3,
|  | unsigned int | maxLightNum,
|  | unsigned int | activeLightMask
| ) |  |
| private virtual

Apply the effect to the OpenGL state.

Parameters

  materialPalette | Used to access material settings
  texturePalette | Used to access texture maps
  textureSettings | The object-level texture settings
  viewToWorld3x3 | A 3x3 matrix containing the current viewToWorld transfrom. Used for environment mapping effects.
  maxLightNum | Maximum number of active lights
  activeLightMask | Bit mask for active lights in scene

Reimplemented from GlsRenderEffect.

## ◆ SetUseVertexColor()

void Effect_DiffNormSpecRefl::SetUseVertexColor | ( | bool | value | ) |
| private

## ◆ TextureUVWSettingsChanged()

void Effect_DiffNormSpecRefl::TextureUVWSettingsChanged | ( |  | ) |
| private

## ◆ UsesTextureTransforms()

bool Effect_DiffNormSpecRefl::UsesTextureTransforms | ( |  | ) |
| private

The documentation for this class was generated from the following file:

- Effect_DiffNormSpecRefl.i